
%define name libfm
%define version 1.3.1
%define major 4
%define gtkmajor 4
%define libname %mklibname fm %major
%define develname %mklibname fm -d
%define libgtk %mklibname fm-gtk %gtkmajor
%define develgtk %mklibname fm-gtk -d

Name:		%{name}
Version:	1.3.2
Release:	%mkrel 2
Summary:        GIO-based library for file manager-like programs
Summary(de):	Auf GIO basierende Bibliothek für dateimanagerähnlicher Programme
Group:          Graphical desktop/LXDE
License:        GPLv2+
URL:            http://pcmanfm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz
Patch1:         libfm-0.1.5-set-cutomization.patch
Patch2:		%{name}-1.2.3-mga-use-common-desktop-menu.patch
Patch3:		%{name}-1.2.5-mga-do-not-use-gvfs-fuse-for-libreoffice.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
#------------------------------------------------------
BuildRequires:  gtk2-devel >= 2.16.0
BuildRequires:  menu-cache-devel >= 0.5.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:	libexif-devel
BuildRequires:	lib64vala-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libpthread-stubs
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
#------------------------------------------------------
Requires:	menu-cache >= 0.5.0
Requires:	lib64menu-cache3
Requires:	lib64vala0.56_0
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote 
file systems supported by gvfs.

This package contains the generic non-gui functions of libfm.

%description -l de
Auf GIO basierende Bibliothek zum Programmieren von dateimanagerähnlichen Programmen
Es ist als Kern für die nächste Generation von PCManFM entwickelt wurden und 
übernimmt alle dateibezogenen Operationen wie Kopieren und Einfügen, Drag & Drop,
Dateiassoziationen oder die Vorschaubilderunterstützung. Dafür wird glib/gio und
gvfs genutzt, libfm kann auch auf entfernte Dateisystem mittels gvfs-Unterstützung
zugreifen.

Dieses Paket beinhaltet generische Funktionen von libfm die nicht die GUI betreffen.

%package -n	%libname
Summary:        GIO-based library for file manager-like programs
Summary(de):	Auf GIO basierende Bibliothek für dateimanagerähnlicher Programme
Group:          Graphical desktop/LXDE
Requires:	menu-cache >= 0.5.0
Requires:	%{_lib}menu-cache3
Requires:	lib64vala0.56_0
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Provides:	libfm = %version
Obsoletes:	libfm <= %version

%description -n %libname
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote 
file systems supported by gvfs.

This package contains the generic non-gui functions of libfm.

%description -n %libname -l de
Auf GIO basierende Bibliothek zum Programmieren von dateimanagerähnlichen Programmen
Es ist als Kern für die nächste Generation von PCManFM entwickelt wurden und 
übernimmt alle dateibezogenen Operationen wie Kopieren und Einfügen, Drag & Drop,
Dateiassoziationen oder die Vorschaubilderunterstützung. Dafür wird glib/gio und
gvfs genutzt, libfm kann auch auf entfernte Dateisystem mittels gvfs-Unterstützung
zugreifen.

Dieses Paket beinhaltet generische Funktionen von libfm die nicht die GUI betreffen.



%package -n	%libgtk
Summary:        File manager-related GTK+ widgets of libfm
Summary(de):	Dateimanager-bezogene GTK+ Widgets von libfm
Group:          Graphical desktop/LXDE
Requires:       %{libname} = %{version}-%{release}
Requires:       gvfs
Obsoletes:	lxshortcut
Provides:	libfm-gtk = %version
Obsoletes:	libfm-gtk <= %version

%description -n	%libgtk
libfm is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnail support. By utilizing glib/gio and gvfs, libfm can access remote 
file systems supported by gvfs.

This package provides useful file manager-related GTK+ widgets.

%description -n	%libgtk -l de
Auf GIO basierende Bibliothek zum Programmieren von dateimanagerähnlichen Programmen
Es ist als Kern für die nächste Generation von PCManFM entwickelt wurden und 
übernimmt alle dateibezogenen Operationen wie Kopieren und Einfügen, Drag & Drop,
Dateiassoziationen oder die Vorschaubilderunterstützung. Dafür wird glib/gio und
gvfs genutzt, libfm kann auch auf entfernte Dateisystem mittels gvfs-Unterstützung
zugreifen.

Dieses Paket bietet nützliche Dateimanager-bezogene GTK+ Widgets.


%package -n     %develname
Summary:        Development files for libfm
Summary(de):	Entwicklerdateien für libfm
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	libfm-devel = %version
Obsoletes:	libfm-devel <= %version

%description -n     %develname
The %{name}-devel package contains libraries and header files for
developing applications that use libfm.

%description -n %develname -l de
Das %{name}-devel Paket enthält Bibliotheken und Header-Dateien für
die Entwicklung von Programmen die libfm benutzen.

%package -n 	%develgtk
Summary:        Development files for libfm-gtk
Summary(de):	Entwicklerdateien für libfm-gtk
Group:          Development/Libraries
Requires:       %{libgtk} = %{version}-%{release}
Requires:       %{develname} = %{version}-%{release}
Provides:	libfm-gtk-devel = %version
Obsoletes:	libfm-gtk-devel <= %version

%description -n %develgtk
The %{name}-gtk-devel package contains libraries and header files for
developing applications that use %{name}-gtk.

%description -n %develgtk -l de
Das %{name}-gtk-devel Paket enthält Bibliotheken und Header-Dateien für
die Entwicklung von Programmen die libfm-gtk nutzen.

%prep
%setup -q
%patch1 -p0
%patch2 -p1
%patch3 -p1


%build

autoreconf -vfi
%configure2_5x --disable-static \
	       --disable-gtk-doc \
	       --enable-udisks 

# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-validate %{buildroot}%{_datadir}/applications/lxshortcut.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/libfm-pref-apps.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%name-%version


%post -n %libname
/sbin/ldconfig
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%postun -n %libname
/sbin/ldconfig
if [ "$1" = "0" ]; then
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi

%post -n %libgtk
/sbin/ldconfig


%postun -n %libgtk
/sbin/ldconfig


%files -n %libname -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_sysconfdir}/xdg/libfm/
%config(noreplace) %{_sysconfdir}/xdg/libfm/libfm.conf
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}-extra.so.%{major}*
%{_datadir}/mime/packages/libfm.xml



%files -n %libgtk
%defattr(-,root,root,-)
%{_bindir}/libfm-pref-apps
%{_bindir}/lxshortcut
%{_libdir}/%{name}-gtk.so.%{gtkmajor}*
%{_libdir}/libfm/modules/*.so
%{_datadir}/libfm/
%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/applications/lxshortcut.desktop
%{_mandir}/man1/libfm-pref-apps.1.bz2
%{_mandir}/man1/lxshortcut.1.bz2

%files -n %develname
%defattr(-,root,root,-)
%doc TODO
%dir %{_includedir}/libfm/
%{_libdir}/%{name}.so
%{_libdir}/%{name}-extra.so
%{_libdir}/pkgconfig/libfm.pc
%{_libdir}/pkgconfig/libfm-extra.pc
%{_includedir}/libfm-1.0/fm.h
%{_includedir}/libfm-1.0/fm-app-chooser-combo-box.h
%{_includedir}/libfm-1.0/fm-app-chooser-dlg.h
%{_includedir}/libfm-1.0/fm-app-info.h
%{_includedir}/libfm-1.0/fm-app-menu-view.h
%{_includedir}/libfm-1.0/fm-archiver.h
%{_includedir}/libfm-1.0/fm-bookmarks.h
%{_includedir}/libfm-1.0/fm-cell-renderer-pixbuf.h
%{_includedir}/libfm-1.0/fm-cell-renderer-text.h
%{_includedir}/libfm-1.0/fm-clipboard.h
%{_includedir}/libfm-1.0/fm-config.h
%{_includedir}/libfm-1.0/fm-deep-count-job.h
%{_includedir}/libfm-1.0/fm-dir-list-job.h
%{_includedir}/libfm-1.0/fm-dnd-auto-scroll.h
%{_includedir}/libfm-1.0/fm-dnd-dest.h
%{_includedir}/libfm-1.0/fm-dnd-src.h
%{_includedir}/libfm-1.0/fm-dummy-monitor.h
%{_includedir}/libfm-1.0/fm-file.h
%{_includedir}/libfm-1.0/fm-file-info-job.h
%{_includedir}/libfm-1.0/fm-file-info.h
%{_includedir}/libfm-1.0/fm-file-launcher.h
%{_includedir}/libfm-1.0/fm-file-menu.h
%{_includedir}/libfm-1.0/fm-file-ops-job-change-attr.h
%{_includedir}/libfm-1.0/fm-file-ops-job-delete.h
%{_includedir}/libfm-1.0/fm-file-ops-job-xfer.h
%{_includedir}/libfm-1.0/fm-file-ops-job.h
%{_includedir}/libfm-1.0/fm-file-properties.h
%{_includedir}/libfm-1.0/fm-folder-model.h
%{_includedir}/libfm-1.0/fm-folder-view.h
%{_includedir}/libfm-1.0/fm-folder.h
%{_includedir}/libfm-1.0/fm-icon-pixbuf.h
%{_includedir}/libfm-1.0/fm-icon.h
%{_includedir}/libfm-1.0/fm-job.h
%{_includedir}/libfm-1.0/fm-list.h
%{_includedir}/libfm-1.0/fm-marshal.h
%{_includedir}/libfm-1.0/fm-mime-type.h
%{_includedir}/libfm-1.0/fm-monitor.h
%{_includedir}/libfm-1.0/fm-nav-history.h
%{_includedir}/libfm-1.0/fm-path-entry.h
%{_includedir}/libfm-1.0/fm-path.h
%{_includedir}/libfm-1.0/fm-places-model.h
%{_includedir}/libfm-1.0/fm-places-view.h
%{_includedir}/libfm-1.0/fm-progress-dlg.h
%{_includedir}/libfm-1.0/fm-simple-job.h
%{_includedir}/libfm-1.0/fm-sortable.h
%{_includedir}/libfm-1.0/fm-tab-label.h
%{_includedir}/libfm-1.0/fm-thumbnail.h
%{_includedir}/libfm-1.0/fm-utils.h
%{_includedir}/libfm-1.0/fm-dir-tree-model.h
%{_includedir}/libfm-1.0/fm-dir-tree-view.h
%{_includedir}/libfm-1.0/fm-path-bar.h
%{_includedir}/libfm-1.0/fm-side-pane.h
%{_includedir}/libfm-1.0/fm-actions.h
%{_includedir}/libfm-1.0/fm-thumbnailer.h
%{_includedir}/libfm-1.0/fm-extra.h
%{_includedir}/libfm-1.0/fm-folder-config.h
%{_includedir}/libfm-1.0/fm-menu-tool-item.h
%{_includedir}/libfm-1.0/fm-module.h
%{_includedir}/libfm-1.0/fm-seal.h
%{_includedir}/libfm-1.0/fm-templates.h
%{_includedir}/libfm-1.0/fm-terminal.h
%{_includedir}/libfm-1.0/fm-thumbnail-loader.h
%{_includedir}/libfm-1.0/fm-version.h
%{_includedir}/libfm-1.0/fm-xml-file.h
%{_includedir}/libfm-1.0/fm-action.h

%files -n %develgtk
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk.so
%{_libdir}/pkgconfig/libfm-gtk.pc
#%{_libdir}/pkgconfig/libfm-gtk3.pc
%{_includedir}/libfm-1.0/fm-gtk.h
%{_includedir}/libfm-1.0/fm-gtk-file-launcher.h
%{_includedir}/libfm-1.0/fm-gtk-marshal.h
%{_includedir}/libfm-1.0/fm-gtk-utils.h
%{_includedir}/libfm-1.0/fm-standard-view.h



%changelog
* Wed Sep 21 2022 tex - 1.3.2-2pclos2022
- require new lib64vala0.56_0

* Wed Feb 16 2022 tex - 1.3.2-1pclos2022
- new version

* Fri Sep 06 2019 tex - 1.3.1-4pclos2019
- rebuild against updates

* Wed Jun 26 2019 tex - 1.3.1-3pclos2019
- rebuild against updates

* Tue Apr 23 2019 tex - 1.3.1-2pclos2019
- rebuild against updates

